LIBKECCAK_HMAC_UNMARSHAL(3)

NAME
libkeccak_hmac_unmarshal - Unharshals an HMAC-hashing state

SYNOPSIS
#include <libkeccak.h>
size_t libkeccak_hmac_unmarshal(struct libkeccak_hmac_state *state, const void *data);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_unmarshal() function unmarshals an HMAC-hashing state from the beginning of data. and stores it in *state. state may be NULL.

RETURN VALUES
The libkeccak_hmac_unmarshal() returns the number of bytes reads from data upon successful completion. On error, -1 is returned and errno is set to describe the error. If state is NULL, the number the function will always be successful and return a positive value, this value is the number of bytes that make un the marshalled state.

ERRORS
The libkeccak_hmac_unmarshal() function may fail for any specified for the function malloc(3).

SEE ALSO
libkeccak_hmac_marshal(3)